Subject: RE: [Sipping] SIP Support for Hearing and Speech Impaired Users

From: Jonathan Rosenberg <[email-masked]>
Date: Wed, 22 Aug 2001 14:46:35 -0400

> -----Original Message-----
> From: Gonzalo Camarillo [mailto:[email-masked]]
> Sent: Tuesday, August 14, 2001 3:03 PM
> To: Drage, Keith (Keith)
> Cc: Michael Hammer; [email-masked]; sipping; Jeff Van 
> Dyke; Andy
> Spitzer
> Subject: Re: [Sipping] SIP Support for Hearing and Speech 
> Impaired Users
> 
> 
> Hello Keith,
> 
> > The main point I was making is that if we rely on the 
> terminating end
> > supporting new procedures to invoke transcoders, then we 
> aren't solving that
> > part of the problem when we are talking about "legacy" SIP 
> phones at the
> > terminating side that currently do not implement those procedures.
> 
> [snip]
> 
> > If you can come up with something that allows either the 
> calling OR the
> > called side to identify the need for a transcoder, and then 
> to invoke the
> > transcoder, then that would be a possible alternative.
> 
> Let's assume that A and B do not have any codec in common. A 
> INVITEs B.
> If B is able to use 3pcc to invoke a transcoder, B will INVITE the
> transcoder, and will return the SDP provided by the transcoder to A in
> the 200 OK (or in 18x responses, since 100rel will be used).
> 
> If B does not support 3pcc, B will return to A a 4xx response saying
> that there is a codec missmatch. A then will use 3pcc to invoke
> transcoding services and will re-INVITE B with the SDP provided by the
> transcoder.

Right, so long as B provided a list of valid codecs in and SDP its 488
response. I could swear that somewhere in bis, the spec said that you should
do this. Appendix B doesn't and neither do the subsections on 488 or 606.
Sounds like I need to clarify that.

That said, I agree 110% with Dave and Gonzalo regarding the e2e arguments. I
will note that even if the inbound proxy knows that "every phone in this
network supports a different codec than those listed in the INVITE", that
does not mean transcoding will be needed. The phone itself may forward or
redirect the call, in which case a transcoding service may not needed. The
only place this can 100% reliably be known is at either end system. Called
party is better since it reduces call setup times, but calling party can be
done as well, as Gonzalo describes. 

-Jonathan R.

---
Jonathan D. Rosenberg, Ph.D.                72 Eagle Rock Ave.
Chief Scientist                             First Floor
dynamicsoft                                 East Hanover, NJ 07936
[email-masked]                     FAX:   (973) 952-5050
http://www.jdrosen.net                      PHONE: (973) 952-5000
http://www.dynamicsoft.com

_______________________________________________
Sipping mailing list  http://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP